var _require = require("json-schema-to-yup"),
    buildYup = _require.buildYup,
    types = _require.types;

var local = {
  LANG_CODE: 'heIL',
  LANG_DIR: 'rtl',
  RENDER_NEW_DOC_NAME: function RENDER_NEW_DOC_NAME(name, data) {
    return name + ' \u05D7\u05D3\u05E9';
  },
  SELECT: 'בחר',
  RENDER_SELECT_MODAL_TITLE: function RENDER_SELECT_MODAL_TITLE(fieldName, selectRowCounter) {
    return ' \u05E0\u05D1\u05D7\u05E8\u05D5 ' + selectRowCounter;
  },
  CLICK_TO_SELECT_ONE: 'לחץ לבחירה',
  CLICK_TO_SELECT_MANY: 'לחץ לבחירה',
  LOCAL_YUP: {
    oneOf: 'ערך לא תקין',
    enum: 'ערך לא תקין',
    required: 'שדה חובה',
    minDate: 'תאריך מוקדם מדיי',
    min: function min(_ref) {
      var _min = _ref.min;
      return '\u05DE\u05D9\u05E0\u05D9\u05DE\u05D5\u05DD ' + _min;
    },
    maxDate: 'תאריך מאוחר מדיי',
    max: function max(_ref2) {
      var _max = _ref2.max;
      return '\u05DE\u05E7\u05E1\u05D9\u05DE\u05D5\u05DD ' + _max;
    },
    trim: 'ערך לא תקין',
    lowercase: 'ערך לא תקין',
    uppercase: 'ערך לא תקין',
    email: 'כתובת אימייל לא תקינה',
    url: 'ערך זה אינו כתובת תקינה',
    minLength: function minLength(_ref3) {
      var _minLength = _ref3.minLength;
      return '\u05DE\u05D9\u05E0\u05D9\u05DE\u05D5\u05DD ' + _minLength + ' \u05EA\u05D5\u05D5\u05D9\u05DD';
    },
    maxLength: function maxLength(_ref4) {
      var _maxLength = _ref4.maxLength;
      return '\u05DE\u05E7\u05E1\u05D9\u05DE\u05D5\u05DD ' + _maxLength + ' \u05EA\u05D5\u05D5\u05D9\u05DD';
    },
    pattern: 'ערך לא תקין',
    matches: 'ערך לא תקין',
    regex: 'ערך לא תקין',
    integer: 'ערך לא תקין',
    positive: 'ערך לא תקין',
    minimum: 'ערך לא תקין',
    maximum: 'ערך לא תקין'
  }
};
export default local;