'use strict';

exports.__esModule = true;
exports.default = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _netProvider = require('net-provider');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DashboardMenu = function (_Component) {
  _inherits(DashboardMenu, _Component);

  function DashboardMenu() {
    _classCallCheck(this, DashboardMenu);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  DashboardMenu.prototype.render = function render() {
    var _this2 = this;

    return _react2.default.createElement(
      _netProvider.NetProvider,
      {
        loadData: {
          targetKey: 'dashboard',
          url: 'dashboard',
          customHandleResponse: function customHandleResponse(res) {
            return res.data.data;
          },
          getCountFromResponse: function getCountFromResponse(res) {
            return res.data.total;
          }
        },
        clearOnUnMount: false
      },
      function (_ref) {
        var data = _ref.data;

        if (!data) return '';
        return data.filter(function (item) {
          return item.schema;
        }).map(_this2.props.renderItem);
      }
    );
  };

  return DashboardMenu;
}(_react.Component);

exports.default = DashboardMenu;
module.exports = exports['default'];