'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _nunjucks = require('nunjucks');

var _nunjucks2 = _interopRequireDefault(_nunjucks);

var _FormikConnect = require('./FormikConnect');

var _FormikConnect2 = _interopRequireDefault(_FormikConnect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LinkField = function LinkField(props) {
  var item = props.item,
      displayLabel = props.displayLabel;

  return _react2.default.createElement(
    'span',
    null,
    _react2.default.createElement(
      _FormikConnect2.default,
      null,
      function (form) {
        var values = form.values;

        var link = _nunjucks2.default.renderString(item.linkTemplate, values);
        var className = item.style === 'button' ? 'ant-btn ant-btn-primary' : '';
        return _react2.default.createElement(
          'a',
          { className: className, href: link },
          _react2.default.createElement(
            'p',
            null,
            displayLabel
          )
        );
      }
    )
  );
};

exports.default = LinkField;
module.exports = exports['default'];